> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_reward_purchases.md).

# nats\_display\_reward\_purchases

*Article Topics:* [*Customization*](/getting-started/common-topics/customization.md)*,* [*Templates*](/getting-started/common-topics/templates.md)

Alias: display\_reward\_purchases

## Parameters

| Parameter                                                                                                       | Description                                                      | Possible Values                | Default Value                                        | Example                |
| --------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------- | ------------------------------ | ---------------------------------------------------- | ---------------------- |
| [tpl](/nats-admin/skins-and-templates/further-reading/template-function-parameters/tpl.md)                      | Template used to display output                                  | Any valid template             | The template, *function\_display\_reward\_purchases* | tpl="mytemplate"       |
| [assign\_prefix](/nats-admin/skins-and-templates/further-reading/template-function-parameters/assign_prefix.md) | Prefix output variables with this word. (Click link for details) | Any valid Smarty variable name | *None.* (No prefix is used)                          | assign\_prefix="myvar" |
| [data\_only](/nats-admin/skins-and-templates/further-reading/template-function-parameters/data_only.md)         | Set variables but don't display the template                     | 1                              | *None.* The template is displayed.                   | data\_only=1           |

## Output

List of rewards purchased by the affiliate. The most recently purchased item will be the top item; the second most recently purchased item will be the second-to-top item; etc...; the bottom item will be the bottom item.

The list of rewards is also placed in the single-dimensional array, *$rewards*, with the same order described above.

## See Also

* [nats\_display\_payment\_history](/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_payment_history.md) -- Displays a list of payments made to the affiliate.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_reward_purchases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
